Skip to main content
POST
/
apps
/
annotation-reply
/
{action}
Configure Annotation Reply
curl --request POST \
  --url https://{api_base_url}/apps/annotation-reply/{action} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "score_threshold": 0.9,
  "embedding_provider_name": "openai",
  "embedding_model_name": "text-embedding-3-small"
}
'
import requests

url = "https://{api_base_url}/apps/annotation-reply/{action}"

payload = {
"score_threshold": 0.9,
"embedding_provider_name": "openai",
"embedding_model_name": "text-embedding-3-small"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
score_threshold: 0.9,
embedding_provider_name: 'openai',
embedding_model_name: 'text-embedding-3-small'
})
};

fetch('https://{api_base_url}/apps/annotation-reply/{action}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "job_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
  "job_status": "waiting"
}

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.

Path Parameters

action
enum<string>
required

Action to perform.

Available options:
enable,
disable

Body

application/json

Request body for configuring annotation reply settings.

embedding_provider_name
string
required

Name of the embedding model provider (e.g., openai, cohere).

embedding_model_name
string
required

Name of the embedding model to use for annotation matching (e.g., text-embedding-3-small).

score_threshold
number<float>
required

Minimum similarity score for an annotation to be considered a match. Higher values require closer matches.

Response

200 - application/json

Annotation reply settings task initiated.

job_id
string<uuid>

Asynchronous job ID. Use with Get Annotation Reply Job Status to track progress.

job_status
string

Current job status: waiting (queued) or processing (in progress). completed and error are returned only by Get Annotation Reply Job Status.

Last modified on July 9, 2026